{{!
    This file is part of Moodle - http://moodle.org/

    Moodle is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Moodle is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
}}
{{!
    @template centraladminconf_role/manage

    Display role management table.

    Classes required for JS:
    * none

    Data attributes required for JS:
    * none

    Context variables required for this template:
    * none

    Example context (json):
    {
        "select_role" : <select><option></option></select>,
    }

}}
<!--filter part-->
<div class="form-group filters-group manage-role-form">
    <div class="select-container">
        <div id="role-select" class="select-with-label">
            <label>{{#str}}role, centraladminconf_role{{/str}}</label>
            {{{select_role}}}
        </div>
        <div id="instances-select" class="select-with-label">
            <label>{{#str}}instances, centraladminconf_role{{/str}}</label>
            {{{select_instances}}}
        </div>
        <div id="capabilities-select" class="select-with-label">
            <label>{{#str}}capabilities, centraladminconf_role{{/str}}</label>
            {{{select_capabilities}}}
        </div>
    </div>
    <div class="checkbox-container">
        <div id="onlyshowdiffarchetype-div" class="checkbow-with-label">
            <input type="checkbox" id="onlyshowdiffarchetype" name="onlyshowdiffarchetype">
            <label>{{#str}}onlyshowdiffarchetype, centraladminconf_role{{/str}}</label>
        </div>

        <div id="onlyshowdiffinstance-div" class="checkbow-with-label">
            <input type="checkbox" id="onlyshowdiffinstance" name="onlyshowdiffinstance">
            <label>{{#str}}onlyshowdiffinstance, centraladminconf_role{{/str}}</label>
        </div>
    </div>
    <div class="buttons-container">
    {{#notreadonly}}
        <button class="btn btn-primary btn-block btn-save" id="manage-role-save" name="save" type="button" data-toggle="modal" data-target="#roleRecapModal">{{#str}}save, centraladminconf_role{{/str}}</button>
        <button class="btn btn-primary btn-block btn-reset" id="manage-role-reset" name="reset" type="button">{{#str}}reset, centraladminconf_role{{/str}}</button>
    {{/notreadonly}}
        <button class="btn btn-primary btn-block btn-cancel" id="manage-role-cancel" name="cancel" type="button">{{#str}}cancel, centraladminconf_role{{/str}}</button>
        <button class="btn btn-primary btn-block btn-export btn-default disabled" id="manage-role-export" name="export" type="button">{{#str}}export, centraladminconf_role{{/str}}</button>
    </div>
</div>

<!--table part-->
<div id="roletable-container">
    <div id="roletable"></div>
</div>

